Why don't we have linux-5.0 instead of 4.19.0-4 which is the running kernel in Debian 'buster' i.e. testing ?

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Why don't we have linux-5.0 instead of 4.19.0-4 which is the running kernel in Debian 'buster' i.e. testing ?

shirish शिरीष
Dear Kernel team,

Please CC as I'm not subscribed to the list .

I saw the following news item few days back -

https://news.softpedia.com/news/linux-kernel-4-20-reaches-end-of-life-users-urged-to-upgrade-to-linux-5-0-525461.shtml

http://lkml.iu.edu/hypermail/linux/kernel/1903.2/02285.html

Currently we are using 4.19.0-4 according to the lastest updated
systems on buster .

$ uname -r
4.19.0-4-amd64

I see that 4.20 has been taken out of the archive and the 5.0 is there
but in experimental -

$ apt-cache policy linux-image-5.0.0-trunk-amd64
linux-image-5.0.0-trunk-amd64:
  Installed: (none)
  Candidate: 5.0.2-1~exp1
  Version table:
     5.0.2-1~exp1 1
          1 http://cdn-fastly.deb.debian.org/debian experimental/main
amd64 Packages

What's stopping it to move to unstable and have an unblock and be for buster ?

--
          Regards,
          Shirish Agarwal  शिरीष अग्रवाल
  My quotes in this email licensed under CC 3.0
http://creativecommons.org/licenses/by-nc/3.0/
http://flossexperiences.wordpress.com

E493 D466 6D67 59F5 1FD0 930F 870E 9A5B 5869 609C

Reply | Threaded
Open this post in threaded view
|

Re: Why don't we have linux-5.0 instead of 4.19.0-4 which is the running kernel in Debian 'buster' i.e. testing ?

Vincent Bernat-3
 ❦  6 avril 2019 02:14 +00, shirish शिरीष <[hidden email]>:

> Currently we are using 4.19.0-4 according to the lastest updated
> systems on buster .
>
> $ uname -r
> 4.19.0-4-amd64
>
> I see that 4.20 has been taken out of the archive and the 5.0 is there
> but in experimental -
>
> $ apt-cache policy linux-image-5.0.0-trunk-amd64
> linux-image-5.0.0-trunk-amd64:
>   Installed: (none)
>   Candidate: 5.0.2-1~exp1
>   Version table:
>      5.0.2-1~exp1 1
>           1 http://cdn-fastly.deb.debian.org/debian experimental/main
> amd64 Packages
>
> What's stopping it to move to unstable and have an unblock and be for buster ?
4.19 is a LTS kernel. 4.20 and 5.0 are not.
--
Format a program to help the reader understand it.
            - The Elements of Programming Style (Kernighan & Plauger)

signature.asc (847 bytes) Download Attachment